Bug 185933 - graphics/libafterimage: Fix build
Summary: graphics/libafterimage: Fix build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-20 18:40 UTC by tkato432
Modified: 2014-02-07 13:20 UTC (History)
0 users

See Also:


Attachments
file.diff (2.40 KB, patch)
2014-01-20 18:40 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2014-01-20 18:40:00 UTC
- Fix build
Comment 1 Martin Wilke freebsd_committer 2014-01-23 15:48:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2014-02-07 13:11:10 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2014-02-07 13:11:17 UTC
Author: miwi
Date: Fri Feb  7 13:11:08 2014
New Revision: 343234
URL: http://svnweb.freebsd.org/changeset/ports/343234
QAT: https://qat.redports.org/buildarchive/r343234/

Log:
  - Fix build
  - Stage support
  
  PR:		185933
  Submitted by:	Ports Fury

Modified:
  head/graphics/libafterimage/Makefile
  head/graphics/libafterimage/pkg-plist

Modified: head/graphics/libafterimage/Makefile
==============================================================================
--- head/graphics/libafterimage/Makefile	Fri Feb  7 13:10:20 2014	(r343233)
+++ head/graphics/libafterimage/Makefile	Fri Feb  7 13:11:08 2014	(r343234)
@@ -11,17 +11,16 @@ DISTNAME=	libAfterImage-${PORTVERSION}
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Generic imaging library originally designed for AfterStep
 
-BROKEN=		Fails to build
-
-LIB_DEPENDS=	jpeg.11:${PORTSDIR}/graphics/jpeg \
-		gif.5:${PORTSDIR}/graphics/giflib \
-		png15:${PORTSDIR}/graphics/png \
-		tiff.4:${PORTSDIR}/graphics/tiff \
-		freetype.9:${PORTSDIR}/print/freetype2
-
 LICENSE=	LGPL21
 
+LIB_DEPENDS=	libgif.so:${PORTSDIR}/graphics/giflib \
+		libjpeg.so:${PORTSDIR}/graphics/jpeg \
+		libpng15.so:${PORTSDIR}/graphics/png \
+		libtiff.so:${PORTSDIR}/graphics/tiff \
+		libfreetype.so:${PORTSDIR}/print/freetype2
+
 USE_BZIP2=	yes
+USES=		pkgconfig
 USE_XORG=	xext
 USE_GNOME=	librsvg2
 GNU_CONFIGURE=	yes
@@ -31,30 +30,26 @@ CONFIGURE_ARGS=	--disable-staticlibs --e
 USE_LDCONFIG=	yes
 MAKE_JOBS_UNSAFE=	yes
 
-MAN1=		ascompose.1x
-
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 
-NO_STAGE=	yes
-.include <bsd.port.pre.mk>
+OPTIONS_DEFINE_amd64=	MMX
+OPTIONS_DEFINE_i386=	MMX
+
+MMX_CONFIGURE_ENABLE=	mmx-optimization
 
-.if ${MACHINE_CPU:Mmmx}
-CONFIGURE_ARGS+=	--enable-mmx-optimization
-.else
-CONFIGURE_ARGS+=	--disable-mmx-optimization
-.endif
+.include <bsd.port.options.mk>
 
 post-extract:
 	@${LN} -sf ${WRKSRC} ${WRKDIR}/libAfterImage
 
 post-patch:
-	@${REINPLACE_CMD} -e 's|CFLAGS="-O3"||g ; \
-		 s| malloc\.h | |g' \
-		${WRKSRC}/configure
+	@${REINPLACE_CMD} -e \
+		's|CFLAGS="-O3"||g ; \
+		 s| malloc\.h | |g' ${WRKSRC}/configure
 
 post-install:
-	${INSTALL_MAN} ${WRKSRC}/apps/ascompose.man \
-		${MANPREFIX}/man/man1/ascompose.1x
+	(cd ${WRKSRC}/apps && ${INSTALL_MAN} ascompose.man \
+		${STAGEDIR}${MANPREFIX}/man/man1/ascompose.1x)
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/graphics/libafterimage/pkg-plist
==============================================================================
--- head/graphics/libafterimage/pkg-plist	Fri Feb  7 13:10:20 2014	(r343233)
+++ head/graphics/libafterimage/pkg-plist	Fri Feb  7 13:11:08 2014	(r343234)
@@ -1,7 +1,7 @@
 bin/afterimage-config
 bin/afterimage-libs
-bin/ascompose
 bin/ascheckttf
+bin/ascompose
 bin/asflip
 bin/asgrad
 bin/asi18n
@@ -37,4 +37,5 @@ include/libAfterImage/xpm.h
 include/libAfterImage/xwrap.h
 lib/libAfterImage.so
 lib/libAfterImage.so.0
+man/man1/ascompose.1x.gz
 @dirrm include/libAfterImage
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"